Spring AMQP CVE-2017-8045 Remote Code Execution Vulnerability

Bugtraq ID: 100936
Class: Input Validation Error
CVE: CVE-2017-8045
Remote: Yes
Local: No
Published: Sep 19 2017 12:00AM
Updated: Sep 19 2017 12:00AM
Credit: Man Yue Mo from Semmle and lgtm.com.
Vulnerable: Pivotal Spring AMQP 1.5.5
Pivotal Spring AMQP 1.5.4
Pivotal Spring AMQP 1.0
Pivotal Spring AMQP 1.6 M2
Not Vulnerable: Pivotal Spring AMQP 2.0
Pivotal Spring AMQP 1.7.4
Pivotal Spring AMQP 1.6.11
Pivotal Spring AMQP 1.5.7


 

Privacy Statement
Copyright 2010, SecurityFocus